<?php
  // Consultar el valor de upload_max_filesize o el tamaño máximo permitido
  // para un archivo que se envía al servidor.
  $maxFileSize = ini_get('upload_max_filesize');
?>

<header>
  <div class="cintillo">
    <div class="container text-center py-2">
      <img class="img-fluid px-0 px-md-5" src="<?php returnURL(); ?>/img/cintillo_2021.png" alt="Banner CENDITEL" />
    </div>
  </div>
  <div class="container py-2">
    <h1 class="text-hide text-center">
      Murachí
      <img class="img-fluid" src="<?php returnURL(); ?>/img/banner_principal.png" />
    </h1>
  </div>
</header>

<script>
    /**
     * Función para verificar el tamaño del archivo seleccionado y mostrar una
     * alerta si es demasiado grande en comparación con el valor máximo permitido.
     * @param {HTMLInputElement} input - El elemento de entrada de archivo.
     */
    function checkFileSize(input) {
      if (input.files.length > 0) {
        // Tamaño máximo en bytes
        const maxSize = parseInt('<?php echo $maxFileSize; ?>') * 1024 * 1024;

        const fileSize = input.files[0].size;

        if (fileSize > maxSize) {
          alert(
            "El archivo seleccionado es demasiado grande, el " +
            "tamaño máximo permitido es <?php echo $maxFileSize; ?>."
          );
          /* Limpiar el valor del input para que el usuario seleccione otro archivo. */
          input.value = "";
        }
      }
    }
</script>